package com.jpsoft.shinestar.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.PersonPopedomIcon;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface PersonPopedomIconDAO {
	int insert(PersonPopedomIcon entity);
	int update(PersonPopedomIcon entity);
	int exist(String id);
	PersonPopedomIcon get(String id);
	int delete(String id);
	List<PersonPopedomIcon> list();
	List<PersonPopedomIcon> search(Map<String, Object> searchParams, List<Sort> sortList);
    List<PersonPopedomIcon> findByPersonPopedomId(String personPopedomId);
    int deleteByPersonPopedomId(String personPopedomId);

	PersonPopedomIcon findByPersonIdAndIconName(Long personId, String iconName);
}